Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch Namespace Reference

## Namespaces

namespace | details

## Classes

class | SearchResults
class | Synthon
class | SynthonSet
class | SynthonSpace
class | SynthonSpaceFingerprintSearcher
struct | SynthonSpaceFPHitSet
struct | SynthonSpaceHitSet
class | SynthonSpaceRascalSearcher
class | SynthonSpaceSearcher
struct | SynthonSpaceSearchParams
class | SynthonSpaceSubstructureSearcher

## Functions

RDKIT_SYNTHONSPACESEARCH_EXPORT void | convertTextToDBFile (const std::string &inFilename, const std::string &outFilename, bool &cancelled, const FingerprintGenerator< std::uint64_t > *fpGen=nullptr)
std::string | formattedIntegerString (std::int64_t value)

## Variables

constexpr unsigned int | PATT_FP_NUM_BITS = 1024
const std::vector< std::string > | CONNECTOR_SYMBOLS {"[U]", "[Np]", "[Pu]", "[Am]"}
constexpr unsigned int | MAX_CONNECTOR_NUM {4}

## Function Documentation

## convertTextToDBFile()

RDKIT_SYNTHONSPACESEARCH_EXPORT void RDKit::SynthonSpaceSearch::convertTextToDBFile | ( | const std::string & | inFilename,
|  | const std::string & | outFilename,
|  | bool & | cancelled,
|  | const FingerprintGenerator< std::uint64_t > * | fpGen = `nullptr`
| ) |  |

Convert the text file into the binary DB file in our format. Equivalent to readTextFile() followed by writeDBFile(). If a fingerprint generator is provided, fingerprints will be created for all the synthons, which can be time-consuming.

Parameters

  inFilename | name of the text file to read
  outFilename | name of the binary file to write
  cancelled | whether it received a SIGINT
  fpGen | optional fingerprint generator

## formattedIntegerString()

std::string RDKit::SynthonSpaceSearch::formattedIntegerString | ( | std::int64_t | value | ) |

Format an integer with spaces every 3 digits for ease of reading.

Returns
  std::string

## Variable Documentation

## CONNECTOR_SYMBOLS

const std::vector<std::string> RDKit::SynthonSpaceSearch::CONNECTOR_SYMBOLS {"[U]", "[Np]", "[Pu]", "[Am]"}

Definition at line 54 of file SynthonSpace.h.

## MAX_CONNECTOR_NUM

constexpr unsigned int RDKit::SynthonSpaceSearch::MAX_CONNECTOR_NUM {4}

constexpr

Definition at line 55 of file SynthonSpace.h.

## PATT_FP_NUM_BITS

constexpr unsigned int RDKit::SynthonSpaceSearch::PATT_FP_NUM_BITS = 1024

inline constexpr

Definition at line 27 of file Synthon.h.